body {
    margin: 0;
    font-family: "Noto Serif TC", serif;
    background: radial-gradient(circle, #2e2e4d, #0f0f1a);
    color: #f5d27a;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    text-align: center;
    width: 90%;
    max-width: 400px;
}

h1 {
    font-size: 30px;
    margin-bottom: 20px;
    letter-spacing: 2px;
}

select {
    width: 100%;
    padding: 12px;
    border-radius: 10px;
    border: none;
    font-size: 24px;
    margin-bottom: 20px;
}

#time {
    font-size: 72px;
    margin: 20px 0;
    text-shadow: 0 0 20px rgba(255, 215, 0, 0.6);
}

.buttons button {
    padding: 12px;
    margin: 5px;
    border: none;
    border-radius: 12px;
    font-size: 16px;
    background: linear-gradient(145deg, #d4af37, #a67c00);
    color: black;
    width: 30%;
    font-size: large;
}

.buttons button#resetBtn {
    border-radius: 40px;
    border: 2px solid #d4af37;
    color: #d4af37;
    background: transparent;
}

button:active {
    transform: scale(0.95);
}